package body MSHTML.HTMLSelectElementEvents_Events is

   procedure Invoke
     (dispidMember : in Interfaces.C.long;
      wFlags       : in Interfaces.C.unsigned_short;
      pdispparams  : in GNATCOM.Types.Pointer_To_DISPPARAMS;
      Event_Object : in GNATCOM.Events.Event_Object.Event_Pointer)
   is
      use type Interfaces.C.long;
   begin
      case dispidMember is
         when HTMLSelectElementEvents_onhelp=>
            onhelp
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onclick=>
            onclick
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondblclick=>
            ondblclick
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onkeypress=>
            onkeypress
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onkeydown=>
            onkeydown
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onkeyup=>
            onkeyup
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmouseout=>
            onmouseout
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmouseover=>
            onmouseover
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmousemove=>
            onmousemove
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmousedown=>
            onmousedown
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmouseup=>
            onmouseup
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onselectstart=>
            onselectstart
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onfilterchange=>
            onfilterchange
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondragstart=>
            ondragstart
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforeupdate=>
            onbeforeupdate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onafterupdate=>
            onafterupdate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onerrorupdate=>
            onerrorupdate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onrowexit=>
            onrowexit
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onrowenter=>
            onrowenter
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondatasetchanged=>
            ondatasetchanged
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondataavailable=>
            ondataavailable
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondatasetcomplete=>
            ondatasetcomplete
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onlosecapture=>
            onlosecapture
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onpropertychange=>
            onpropertychange
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onscroll=>
            onscroll
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onfocus=>
            onfocus
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onblur=>
            onblur
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onresize=>
            onresize
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondrag=>
            ondrag
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondragend=>
            ondragend
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondragenter=>
            ondragenter
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondragover=>
            ondragover
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondragleave=>
            ondragleave
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondrop=>
            ondrop
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforecut=>
            onbeforecut
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_oncut=>
            oncut
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforecopy=>
            onbeforecopy
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_oncopy=>
            oncopy
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforepaste=>
            onbeforepaste
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onpaste=>
            onpaste
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_oncontextmenu=>
            oncontextmenu
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onrowsdelete=>
            onrowsdelete
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onrowsinserted=>
            onrowsinserted
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_oncellchange=>
            oncellchange
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onreadystatechange=>
            onreadystatechange
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforeeditfocus=>
            onbeforeeditfocus
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onlayoutcomplete=>
            onlayoutcomplete
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onpage=>
            onpage
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforedeactivate=>
            onbeforedeactivate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onbeforeactivate=>
            onbeforeactivate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmove=>
            onmove
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_oncontrolselect=>
            oncontrolselect
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmovestart=>
            onmovestart
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmoveend=>
            onmoveend
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onresizestart=>
            onresizestart
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onresizeend=>
            onresizeend
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmouseenter=>
            onmouseenter
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmouseleave=>
            onmouseleave
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onmousewheel=>
            onmousewheel
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onactivate=>
            onactivate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_ondeactivate=>
            ondeactivate
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onfocusin=>
            onfocusin
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onfocusout=>
            onfocusout
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when HTMLSelectElementEvents_onchange=>
            onchange
              (HTMLSelectElementEvents_Event'Class (Event_Object.all));
         when others =>
            null;
      end case;
   end Invoke;

   function Create (From : in GNATCOM.Events.Event_Object.Event_Pointer)
     return GNATCOM.Create.COM_Interface.Pointer_To_COM_Interface_Type
   is
   begin
      return GNATCOM.Events.Event_Object.Create
        (Invoke'Access,
         IID_HTMLSelectElementEvents,
         From);
   end Create;

   procedure Set_Events
     (This            : in out GNATCOM.Events.IConnectionPoint_Type;
      For_Object      : in     GNATCOM.IInterface.Interface_Type'Class;
      Event_Interface :
        access GNATCOM.Create.COM_Interface.COM_Interface_Type;
      Free            : Boolean := True)
   is
   begin
      GNATCOM.Events.Set_Events
        (This,
         For_Object,
         IID_HTMLSelectElementEvents,
         Event_Interface,
         Free);
   end Set_Events;

   procedure onhelp
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onhelp;

   procedure onclick
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onclick;

   procedure ondblclick
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondblclick;

   procedure onkeypress
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onkeypress;

   procedure onkeydown
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onkeydown;

   procedure onkeyup
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onkeyup;

   procedure onmouseout
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmouseout;

   procedure onmouseover
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmouseover;

   procedure onmousemove
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmousemove;

   procedure onmousedown
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmousedown;

   procedure onmouseup
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmouseup;

   procedure onselectstart
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onselectstart;

   procedure onfilterchange
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onfilterchange;

   procedure ondragstart
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondragstart;

   procedure onbeforeupdate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforeupdate;

   procedure onafterupdate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onafterupdate;

   procedure onerrorupdate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onerrorupdate;

   procedure onrowexit
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onrowexit;

   procedure onrowenter
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onrowenter;

   procedure ondatasetchanged
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondatasetchanged;

   procedure ondataavailable
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondataavailable;

   procedure ondatasetcomplete
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondatasetcomplete;

   procedure onlosecapture
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onlosecapture;

   procedure onpropertychange
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onpropertychange;

   procedure onscroll
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onscroll;

   procedure onfocus
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onfocus;

   procedure onblur
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onblur;

   procedure onresize
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onresize;

   procedure ondrag
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondrag;

   procedure ondragend
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondragend;

   procedure ondragenter
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondragenter;

   procedure ondragover
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondragover;

   procedure ondragleave
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondragleave;

   procedure ondrop
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondrop;

   procedure onbeforecut
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforecut;

   procedure oncut
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end oncut;

   procedure onbeforecopy
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforecopy;

   procedure oncopy
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end oncopy;

   procedure onbeforepaste
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforepaste;

   procedure onpaste
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onpaste;

   procedure oncontextmenu
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end oncontextmenu;

   procedure onrowsdelete
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onrowsdelete;

   procedure onrowsinserted
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onrowsinserted;

   procedure oncellchange
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end oncellchange;

   procedure onreadystatechange
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onreadystatechange;

   procedure onbeforeeditfocus
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforeeditfocus;

   procedure onlayoutcomplete
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onlayoutcomplete;

   procedure onpage
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onpage;

   procedure onbeforedeactivate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforedeactivate;

   procedure onbeforeactivate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onbeforeactivate;

   procedure onmove
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmove;

   procedure oncontrolselect
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end oncontrolselect;

   procedure onmovestart
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmovestart;

   procedure onmoveend
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmoveend;

   procedure onresizestart
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onresizestart;

   procedure onresizeend
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onresizeend;

   procedure onmouseenter
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmouseenter;

   procedure onmouseleave
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmouseleave;

   procedure onmousewheel
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onmousewheel;

   procedure onactivate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onactivate;

   procedure ondeactivate
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end ondeactivate;

   procedure onfocusin
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onfocusin;

   procedure onfocusout
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onfocusout;

   procedure onchange
     (This : HTMLSelectElementEvents_Event)
   is
   begin
      null;
   end onchange;

end MSHTML.HTMLSelectElementEvents_Events;

